summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/build-package8
-rwxr-xr-xbin/updatebuildmain3
-rw-r--r--home/.buildscripts/itzks.conf3
3 files changed, 7 insertions, 7 deletions
diff --git a/bin/build-package b/bin/build-package
index bfc6e2a..5acf585 100755
--- a/bin/build-package
+++ b/bin/build-package
@@ -202,10 +202,10 @@ build_packages() {
[ "x$USE_SUDO" != "xyes" ] && {
[ "x$EXTRA_ARCHS_ONLY" = "x" ] && {
- cat debian/control | egrep 'Architecture.*(all|any|amd64)' >/dev/null && {
+ [ "x$SKIP_ARCH" != "xamd64" ] && cat debian/control | egrep 'Architecture.*(all|any|amd64)' >/dev/null && {
DIST=$l_DIST CODENAME=$l_CODENAME ARCH=amd64 $PDEBUILD --auto-debsign --debsign-k $GPG_KEY --buildresult "$PKGDIST/$l_DIST/$l_CODENAME/amd64" 0<&-
}
- cat debian/control | egrep 'Architecture.*(any|i386)' >/dev/null && {
+ [ "x$SKIP_ARCH" != "xi386" ] && cat debian/control | egrep 'Architecture.*(any|i386)' >/dev/null && {
DIST=$l_DIST CODENAME=$l_CODENAME ARCH=i386 $PDEBUILD --auto-debsign --debsign-k $GPG_KEY --buildresult "$PKGDIST/$l_DIST/$l_CODENAME/i386" -- --binary-arch 0<&-
}
}
@@ -218,10 +218,10 @@ build_packages() {
}
[ "x$USE_SUDO" = "xyes" ] && {
[ "x$EXTRA_ARCHS_ONLY" = "x" ] && {
- cat debian/control | egrep 'Architecture.*(all|any|amd64)' >/dev/null && {
+ [ "x$SKIP_ARCH" != "xamd64" ] && cat debian/control | egrep 'Architecture.*(all|any|amd64)' >/dev/null && {
sudo DIST=$l_DIST CODENAME=$l_CODENAME ARCH=amd64 OTHERMIRROR="$OTHERMIRROR" $PDEBUILD --auto-debsign --debsign-k $GPG_KEY --buildresult $PKGDIST/$l_DIST/$l_CODENAME/amd64 0<&-
}
- cat debian/control | egrep 'Architecture.*(any|i386)' >/dev/null && {
+ [ "x$SKIP_ARCH" != "xi386" ] && cat debian/control | egrep 'Architecture.*(any|i386)' >/dev/null && {
sudo DIST=$l_DIST CODENAME=$l_CODENAME ARCH=i386 OTHERMIRROR="$OTHERMIRROR" $PDEBUILD --auto-debsign --debsign-k $GPG_KEY --buildresult $PKGDIST/$l_DIST/$l_CODENAME/i386 -- --binary-arch 0<&-
}
}
diff --git a/bin/updatebuildmain b/bin/updatebuildmain
index f4f4917..1aca5e1 100755
--- a/bin/updatebuildmain
+++ b/bin/updatebuildmain
@@ -20,7 +20,7 @@
set -e
GITPROJECT=$(basename $(pwd))
-REF=$1
+REF=${1-HEAD}
# we need to be within a working copy (base folder) and we need a <REF>!!!
test -z $1 || test -d ./.git || {
@@ -30,5 +30,6 @@ test -z $1 || test -d ./.git || {
}
# update the build-main branch with our newest blessed reference
+git branch -D build-main &>/dev/null || true
git branch build-main &>/dev/null || true
git push origin $REF:build-main
diff --git a/home/.buildscripts/itzks.conf b/home/.buildscripts/itzks.conf
index 5fd406c..f175840 100644
--- a/home/.buildscripts/itzks.conf
+++ b/home/.buildscripts/itzks.conf
@@ -9,8 +9,7 @@ GPG_KEY="E41B37C658842183"
DISTS_SUPPORTED="debian ubuntu"
BUILDS_FOR="\
-debian: lenny squeeze wheezy sid\n\
-ubuntu: lucid precise"
+debian: squeeze wheezy sid"
COMPONENT_MAIN="main"
COMPONENT_NIGHTLY="nightly"